Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Array tests
Declare which test methods should be run in which order
Methods
testGetLinks()
Simple test of the HtmlDocument.getLinks method. An instance of HtmlDocument is created from a very simple HTML source. The result of getLinks is then evaluated and tested.
testGetAll()
Simple test of the HtmlDocument.geAll method. An instance of HtmlDocument is created from a very simple HTML source. The result of getAll is then evaluated and tested.
Tue, 25 Nov 2008 16:50:09 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar